Bug 1027616 - fedora-review: Allow overriding Koji hub address in koji-download-scratch
fedora-review: Allow overriding Koji hub address in koji-download-scratch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 03:39 EST by Mikolaj Izdebski
Modified: 2014-01-07 04:41 EST (History)
3 users (show)

See Also:
Fixed In Version: fedora-review-0.5.1-1.fc19
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 02:06:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-11-07 03:39:01 EST
Description of problem:
koji-download-scratch uses hardcoded Koji hub URL: 'http://kojipkgs.fedoraproject.org/work/'
This makes it unusable with other Koji instances.
Please make Koji hub URL configurable, preferably on command line.

Version-Release number of selected component (if applicable):
0.5.0-3
Comment 1 Mikolaj Izdebski 2013-11-07 03:41:18 EST
(In reply to Mikolaj Izdebski from comment #0)
> Description of problem:
> koji-download-scratch uses hardcoded Koji hub URL:
> 'http://kojipkgs.fedoraproject.org/work/'

I should clarify that both hub URL and workspace URL are hardcoded and both should be configurable.
Comment 2 Stanislav Ochotnicky 2013-11-25 09:05:46 EST
Commited upstream in commit afe1746
Comment 3 Fedora Update System 2013-12-13 09:59:39 EST
fedora-review-0.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.5.1-1.fc18
Comment 4 Fedora Update System 2013-12-13 10:00:43 EST
fedora-review-0.5.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.5.1-1.el6
Comment 5 Fedora Update System 2013-12-13 10:01:44 EST
fedora-review-0.5.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-review-0.5.1-1.fc19
Comment 6 Fedora Update System 2013-12-13 12:56:12 EST
Package fedora-review-0.5.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-review-0.5.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23340/fedora-review-0.5.1-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-12-19 02:06:19 EST
fedora-review-0.5.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-01-06 20:21:02 EST
fedora-review-0.5.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-01-07 04:36:17 EST
fedora-review-0.5.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-01-07 04:41:16 EST
fedora-review-0.5.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.